using System;
using System.Text;

class Program
{
    static string NeopadajuciNiz(int leva, int desna, uint[] niz)
    {
        if(desna - leva <= 1) { return "DA"; }
        for(int i = leva; i < desna; i++)
        {
            bool postojiPodniz = true;
            for (int j = leva; j < desna - 1; j++)
            {
                if (niz[j + 1] < niz[j] && i != j)
                {
                    postojiPodniz = false;
                    continue;
                }
            }
            if(postojiPodniz)
            {
                return "DA";
            }
        }
        return "NE";
    }
    static void Main()
    {
        var dimenzijaNiza = uint.Parse(Console.ReadLine());
        var niz = Array.ConvertAll(Console.ReadLine().Split(' '), uint.Parse);

        var izlaz = new StringBuilder();
        var brojUpita = uint.Parse(Console.ReadLine());
        for(var i = 0; i < brojUpita; i++)
        {
            var upit = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            izlaz.AppendLine(NeopadajuciNiz(upit[0] - 1, upit[1], niz));
        }
        Console.Write(izlaz);
        Console.ReadLine();
    }
}